source: src/libcfa/Makefile.in @ ef7d253

aaron-thesisarm-ehcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decaygc_noraiijacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerresolv-newwith_gc
Last change on this file since ef7d253 was ef7d253, checked in by Thierry Delisle <tdelisle@…>, 6 years ago

updated automake config to support less verbose build and compile the tests directory

  • Property mode set to 100644
File size: 22.3 KB
Line 
1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19
20
21
22VPATH = @srcdir@
23am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
24am__make_running_with_option = \
25  case $${target_option-} in \
26      ?) ;; \
27      *) echo "am__make_running_with_option: internal error: invalid" \
28              "target option '$${target_option-}' specified" >&2; \
29         exit 1;; \
30  esac; \
31  has_opt=no; \
32  sane_makeflags=$$MAKEFLAGS; \
33  if $(am__is_gnu_make); then \
34    sane_makeflags=$$MFLAGS; \
35  else \
36    case $$MAKEFLAGS in \
37      *\\[\ \   ]*) \
38        bs=\\; \
39        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
40          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
41    esac; \
42  fi; \
43  skip_next=no; \
44  strip_trailopt () \
45  { \
46    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
47  }; \
48  for flg in $$sane_makeflags; do \
49    test $$skip_next = yes && { skip_next=no; continue; }; \
50    case $$flg in \
51      *=*|--*) continue;; \
52        -*I) strip_trailopt 'I'; skip_next=yes;; \
53      -*I?*) strip_trailopt 'I';; \
54        -*O) strip_trailopt 'O'; skip_next=yes;; \
55      -*O?*) strip_trailopt 'O';; \
56        -*l) strip_trailopt 'l'; skip_next=yes;; \
57      -*l?*) strip_trailopt 'l';; \
58      -[dEDm]) skip_next=yes;; \
59      -[JT]) skip_next=yes;; \
60    esac; \
61    case $$flg in \
62      *$$target_option*) has_opt=yes; break;; \
63    esac; \
64  done; \
65  test $$has_opt = yes
66am__make_dryrun = (target_option=n; $(am__make_running_with_option))
67am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
68pkgdatadir = $(datadir)/@PACKAGE@
69pkgincludedir = $(includedir)/@PACKAGE@
70pkglibdir = $(libdir)/@PACKAGE@
71pkglibexecdir = $(libexecdir)/@PACKAGE@
72am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
73install_sh_DATA = $(install_sh) -c -m 644
74install_sh_PROGRAM = $(install_sh) -c
75install_sh_SCRIPT = $(install_sh) -c
76INSTALL_HEADER = $(INSTALL_DATA)
77transform = $(program_transform_name)
78NORMAL_INSTALL = :
79PRE_INSTALL = :
80POST_INSTALL = :
81NORMAL_UNINSTALL = :
82PRE_UNINSTALL = :
83POST_UNINSTALL = :
84subdir = src/libcfa
85DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
86        $(top_srcdir)/automake/depcomp $(include_HEADERS)
87ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
88am__aclocal_m4_deps = $(top_srcdir)/configure.ac
89am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
90        $(ACLOCAL_M4)
91mkinstalldirs = $(install_sh) -d
92CONFIG_HEADER = $(top_builddir)/config.h
93CONFIG_CLEAN_FILES =
94CONFIG_CLEAN_VPATH_FILES =
95am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
96am__vpath_adj = case $$p in \
97    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
98    *) f=$$p;; \
99  esac;
100am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
101am__install_max = 40
102am__nobase_strip_setup = \
103  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
104am__nobase_strip = \
105  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
106am__nobase_list = $(am__nobase_strip_setup); \
107  for p in $$list; do echo "$$p $$p"; done | \
108  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
109  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
110    if (++n[$$2] == $(am__install_max)) \
111      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
112    END { for (dir in files) print dir, files[dir] }'
113am__base_list = \
114  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
115  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
116am__uninstall_files_from_dir = { \
117  test -z "$$files" \
118    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
119    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
120         $(am__cd) "$$dir" && rm -f $$files; }; \
121  }
122am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
123        "$(DESTDIR)$(includedir)"
124LIBRARIES = $(lib_LIBRARIES)
125AR = ar
126ARFLAGS = cru
127AM_V_AR = $(am__v_AR_@AM_V@)
128am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
129am__v_AR_0 = @echo "  AR      " $@;
130am__v_AR_1 =
131libcfa_a_AR = $(AR) $(ARFLAGS)
132libcfa_a_LIBADD =
133am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
134        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
135        rational.$(OBJEXT)
136am_libcfa_a_OBJECTS = libcfa-prelude.$(OBJEXT) $(am__objects_1)
137libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
138AM_V_P = $(am__v_P_@AM_V@)
139am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
140am__v_P_0 = false
141am__v_P_1 = :
142AM_V_GEN = $(am__v_GEN_@AM_V@)
143am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
144am__v_GEN_0 = @echo "  GEN     " $@;
145am__v_GEN_1 =
146AM_V_at = $(am__v_at_@AM_V@)
147am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
148am__v_at_0 = @
149am__v_at_1 =
150DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
151depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
152am__depfiles_maybe = depfiles
153am__mv = mv -f
154COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
155        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
156AM_V_CC = $(am__v_CC_@AM_V@)
157am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
158am__v_CC_0 = @echo "  CC      " $@;
159am__v_CC_1 =
160CCLD = $(CC)
161LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
162AM_V_CCLD = $(am__v_CCLD_@AM_V@)
163am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
164am__v_CCLD_0 = @echo "  CCLD    " $@;
165am__v_CCLD_1 =
166SOURCES = $(libcfa_a_SOURCES)
167DIST_SOURCES = $(libcfa_a_SOURCES)
168am__can_run_installinfo = \
169  case $$AM_UPDATE_INFO_DIR in \
170    n|no|NO) false;; \
171    *) (install-info --version) >/dev/null 2>&1;; \
172  esac
173DATA = $(cfalib_DATA)
174HEADERS = $(include_HEADERS)
175am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
176# Read a list of newline-separated strings from the standard input,
177# and print each of them once, without duplicates.  Input order is
178# *not* preserved.
179am__uniquify_input = $(AWK) '\
180  BEGIN { nonempty = 0; } \
181  { items[$$0] = 1; nonempty = 1; } \
182  END { if (nonempty) { for (i in items) print i; }; } \
183'
184# Make sure the list of sources is unique.  This is necessary because,
185# e.g., the same source file might be shared among _SOURCES variables
186# for different programs/libraries.
187am__define_uniq_tagged_files = \
188  list='$(am__tagged_files)'; \
189  unique=`for i in $$list; do \
190    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
191  done | $(am__uniquify_input)`
192ETAGS = etags
193CTAGS = ctags
194DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
195ACLOCAL = @ACLOCAL@
196ALLOCA = @ALLOCA@
197AMTAR = @AMTAR@
198AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
199AUTOCONF = @AUTOCONF@
200AUTOHEADER = @AUTOHEADER@
201AUTOMAKE = @AUTOMAKE@
202AWK = @AWK@
203BACKEND_CC = @BACKEND_CC@
204CC = ${abs_top_srcdir}/src/driver/cfa
205CCDEPMODE = @CCDEPMODE@
206CFA_BACKEND_CC = @CFA_BACKEND_CC@
207CFA_BINDIR = @CFA_BINDIR@
208CFA_INCDIR = @CFA_INCDIR@
209CFA_LIBDIR = @CFA_LIBDIR@
210CFA_PREFIX = @CFA_PREFIX@
211CFLAGS = -g -Wall -Wno-unused-function -B${abs_top_srcdir}/src/driver -XCFA -t  # TEMPORARY: does not build with -O2
212CPP = @CPP@
213CPPFLAGS = @CPPFLAGS@
214CXX = @CXX@
215CXXDEPMODE = @CXXDEPMODE@
216CXXFLAGS = @CXXFLAGS@
217CYGPATH_W = @CYGPATH_W@
218DEFS = @DEFS@
219DEPDIR = @DEPDIR@
220ECHO_C = @ECHO_C@
221ECHO_N = @ECHO_N@
222ECHO_T = @ECHO_T@
223EGREP = @EGREP@
224EXEEXT = @EXEEXT@
225GREP = @GREP@
226INSTALL = @INSTALL@
227INSTALL_DATA = @INSTALL_DATA@
228INSTALL_PROGRAM = @INSTALL_PROGRAM@
229INSTALL_SCRIPT = @INSTALL_SCRIPT@
230INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
231LDFLAGS = @LDFLAGS@
232LEX = @LEX@
233LEXLIB = @LEXLIB@
234LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
235LIBOBJS = @LIBOBJS@
236LIBS = @LIBS@
237LTLIBOBJS = @LTLIBOBJS@
238MAINT = @MAINT@
239MAKEINFO = @MAKEINFO@
240MKDIR_P = @MKDIR_P@
241OBJEXT = @OBJEXT@
242PACKAGE = @PACKAGE@
243PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
244PACKAGE_NAME = @PACKAGE_NAME@
245PACKAGE_STRING = @PACKAGE_STRING@
246PACKAGE_TARNAME = @PACKAGE_TARNAME@
247PACKAGE_URL = @PACKAGE_URL@
248PACKAGE_VERSION = @PACKAGE_VERSION@
249PATH_SEPARATOR = @PATH_SEPARATOR@
250RANLIB = @RANLIB@
251SET_MAKE = @SET_MAKE@
252SHELL = @SHELL@
253STRIP = @STRIP@
254VERSION = @VERSION@
255YACC = @YACC@
256YFLAGS = @YFLAGS@
257abs_builddir = @abs_builddir@
258abs_srcdir = @abs_srcdir@
259abs_top_builddir = @abs_top_builddir@
260abs_top_srcdir = @abs_top_srcdir@
261ac_ct_CC = @ac_ct_CC@
262ac_ct_CXX = @ac_ct_CXX@
263am__include = @am__include@
264am__leading_dot = @am__leading_dot@
265am__quote = @am__quote@
266am__tar = @am__tar@
267am__untar = @am__untar@
268bindir = @bindir@
269build_alias = @build_alias@
270builddir = @builddir@
271datadir = @datadir@
272datarootdir = @datarootdir@
273docdir = @docdir@
274dvidir = @dvidir@
275exec_prefix = @exec_prefix@
276host_alias = @host_alias@
277htmldir = @htmldir@
278includedir = @includedir@
279infodir = @infodir@
280install_sh = @install_sh@
281libdir = @libdir@
282libexecdir = @libexecdir@
283localedir = @localedir@
284localstatedir = @localstatedir@
285mandir = @mandir@
286mkdir_p = @mkdir_p@
287oldincludedir = @oldincludedir@
288pdfdir = @pdfdir@
289prefix = @prefix@
290program_transform_name = @program_transform_name@
291psdir = @psdir@
292sbindir = @sbindir@
293sharedstatedir = @sharedstatedir@
294srcdir = @srcdir@
295sysconfdir = @sysconfdir@
296target_alias = @target_alias@
297top_build_prefix = @top_build_prefix@
298top_builddir = @top_builddir@
299top_srcdir = @top_srcdir@
300lib_LIBRARIES = libcfa.a
301
302# put into lib for now
303cfalibdir = ${libdir}
304cfalib_DATA = prelude.cf builtins.cf
305MAINTAINERCLEANFILES = ${addprefix ${libdir}/,${cfalib_DATA}} \
306        ${addprefix ${libdir}/,${lib_LIBRARIES}} ${includedir}/*
307headers = limits stdlib math iostream fstream iterator rational
308libobjs = ${headers:=.o}
309libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c}
310include_HEADERS = ${headers}
311CLEANFILES = libcfa-prelude.c
312all: all-am
313
314.SUFFIXES:
315.SUFFIXES: .c .o .obj
316$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
317        @for dep in $?; do \
318          case '$(am__configure_deps)' in \
319            *$$dep*) \
320              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
321                && { if test -f $@; then exit 0; else break; fi; }; \
322              exit 1;; \
323          esac; \
324        done; \
325        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
326        $(am__cd) $(top_srcdir) && \
327          $(AUTOMAKE) --foreign src/libcfa/Makefile
328.PRECIOUS: Makefile
329Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
330        @case '$?' in \
331          *config.status*) \
332            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
333          *) \
334            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
335            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
336        esac;
337
338$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
339        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
340
341$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
342        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
343$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
344        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
345$(am__aclocal_m4_deps):
346install-libLIBRARIES: $(lib_LIBRARIES)
347        @$(NORMAL_INSTALL)
348        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
349        list2=; for p in $$list; do \
350          if test -f $$p; then \
351            list2="$$list2 $$p"; \
352          else :; fi; \
353        done; \
354        test -z "$$list2" || { \
355          echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
356          $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
357          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
358          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
359        @$(POST_INSTALL)
360        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
361        for p in $$list; do \
362          if test -f $$p; then \
363            $(am__strip_dir) \
364            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
365            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
366          else :; fi; \
367        done
368
369uninstall-libLIBRARIES:
370        @$(NORMAL_UNINSTALL)
371        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
372        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
373        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
374
375clean-libLIBRARIES:
376        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
377
378libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
379        $(AM_V_at)-rm -f libcfa.a
380        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
381        $(AM_V_at)$(RANLIB) libcfa.a
382
383mostlyclean-compile:
384        -rm -f *.$(OBJEXT)
385
386distclean-compile:
387        -rm -f *.tab.c
388
389@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
390@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
391@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
392@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
393@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
394@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
395@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
396@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
397
398.c.o:
399@am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
400@am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
401@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
402@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
403@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
404
405.c.obj:
406@am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
407@am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
408@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
409@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
410@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
411install-cfalibDATA: $(cfalib_DATA)
412        @$(NORMAL_INSTALL)
413        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
414        if test -n "$$list"; then \
415          echo " $(MKDIR_P) '$(DESTDIR)$(cfalibdir)'"; \
416          $(MKDIR_P) "$(DESTDIR)$(cfalibdir)" || exit 1; \
417        fi; \
418        for p in $$list; do \
419          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
420          echo "$$d$$p"; \
421        done | $(am__base_list) | \
422        while read files; do \
423          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
424          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
425        done
426
427uninstall-cfalibDATA:
428        @$(NORMAL_UNINSTALL)
429        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
430        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
431        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
432install-includeHEADERS: $(include_HEADERS)
433        @$(NORMAL_INSTALL)
434        @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
435        if test -n "$$list"; then \
436          echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \
437          $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \
438        fi; \
439        for p in $$list; do \
440          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
441          echo "$$d$$p"; \
442        done | $(am__base_list) | \
443        while read files; do \
444          echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
445          $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
446        done
447
448uninstall-includeHEADERS:
449        @$(NORMAL_UNINSTALL)
450        @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
451        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
452        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
453
454ID: $(am__tagged_files)
455        $(am__define_uniq_tagged_files); mkid -fID $$unique
456tags: tags-am
457TAGS: tags
458
459tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
460        set x; \
461        here=`pwd`; \
462        $(am__define_uniq_tagged_files); \
463        shift; \
464        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
465          test -n "$$unique" || unique=$$empty_fix; \
466          if test $$# -gt 0; then \
467            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
468              "$$@" $$unique; \
469          else \
470            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
471              $$unique; \
472          fi; \
473        fi
474ctags: ctags-am
475
476CTAGS: ctags
477ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
478        $(am__define_uniq_tagged_files); \
479        test -z "$(CTAGS_ARGS)$$unique" \
480          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
481             $$unique
482
483GTAGS:
484        here=`$(am__cd) $(top_builddir) && pwd` \
485          && $(am__cd) $(top_srcdir) \
486          && gtags -i $(GTAGS_ARGS) "$$here"
487cscopelist: cscopelist-am
488
489cscopelist-am: $(am__tagged_files)
490        list='$(am__tagged_files)'; \
491        case "$(srcdir)" in \
492          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
493          *) sdir=$(subdir)/$(srcdir) ;; \
494        esac; \
495        for i in $$list; do \
496          if test -f "$$i"; then \
497            echo "$(subdir)/$$i"; \
498          else \
499            echo "$$sdir/$$i"; \
500          fi; \
501        done >> $(top_builddir)/cscope.files
502
503distclean-tags:
504        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
505
506distdir: $(DISTFILES)
507        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
508        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
509        list='$(DISTFILES)'; \
510          dist_files=`for file in $$list; do echo $$file; done | \
511          sed -e "s|^$$srcdirstrip/||;t" \
512              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
513        case $$dist_files in \
514          */*) $(MKDIR_P) `echo "$$dist_files" | \
515                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
516                           sort -u` ;; \
517        esac; \
518        for file in $$dist_files; do \
519          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
520          if test -d $$d/$$file; then \
521            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
522            if test -d "$(distdir)/$$file"; then \
523              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
524            fi; \
525            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
526              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
527              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
528            fi; \
529            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
530          else \
531            test -f "$(distdir)/$$file" \
532            || cp -p $$d/$$file "$(distdir)/$$file" \
533            || exit 1; \
534          fi; \
535        done
536check-am: all-am
537check: check-am
538all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
539installdirs:
540        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
541          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
542        done
543install: install-am
544install-exec: install-exec-am
545install-data: install-data-am
546uninstall: uninstall-am
547
548install-am: all-am
549        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
550
551installcheck: installcheck-am
552install-strip:
553        if test -z '$(STRIP)'; then \
554          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
555            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
556              install; \
557        else \
558          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
559            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
560            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
561        fi
562mostlyclean-generic:
563
564clean-generic:
565        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
566
567distclean-generic:
568        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
569        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
570
571maintainer-clean-generic:
572        @echo "This command is intended for maintainers to use"
573        @echo "it deletes files that may require special tools to rebuild."
574        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
575clean: clean-am
576
577clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
578
579distclean: distclean-am
580        -rm -rf ./$(DEPDIR)
581        -rm -f Makefile
582distclean-am: clean-am distclean-compile distclean-generic \
583        distclean-tags
584
585dvi: dvi-am
586
587dvi-am:
588
589html: html-am
590
591html-am:
592
593info: info-am
594
595info-am:
596
597install-data-am: install-cfalibDATA install-includeHEADERS
598
599install-dvi: install-dvi-am
600
601install-dvi-am:
602
603install-exec-am: install-libLIBRARIES
604
605install-html: install-html-am
606
607install-html-am:
608
609install-info: install-info-am
610
611install-info-am:
612
613install-man:
614
615install-pdf: install-pdf-am
616
617install-pdf-am:
618
619install-ps: install-ps-am
620
621install-ps-am:
622
623installcheck-am:
624
625maintainer-clean: maintainer-clean-am
626        -rm -rf ./$(DEPDIR)
627        -rm -f Makefile
628maintainer-clean-am: distclean-am maintainer-clean-generic
629
630mostlyclean: mostlyclean-am
631
632mostlyclean-am: mostlyclean-compile mostlyclean-generic
633
634pdf: pdf-am
635
636pdf-am:
637
638ps: ps-am
639
640ps-am:
641
642uninstall-am: uninstall-cfalibDATA uninstall-includeHEADERS \
643        uninstall-libLIBRARIES
644
645.MAKE: install-am install-strip
646
647.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
648        clean-libLIBRARIES cscopelist-am ctags ctags-am distclean \
649        distclean-compile distclean-generic distclean-tags distdir dvi \
650        dvi-am html html-am info info-am install install-am \
651        install-cfalibDATA install-data install-data-am install-dvi \
652        install-dvi-am install-exec install-exec-am install-html \
653        install-html-am install-includeHEADERS install-info \
654        install-info-am install-libLIBRARIES install-man install-pdf \
655        install-pdf-am install-ps install-ps-am install-strip \
656        installcheck installcheck-am installdirs maintainer-clean \
657        maintainer-clean-generic mostlyclean mostlyclean-compile \
658        mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
659        uninstall-am uninstall-cfalibDATA uninstall-includeHEADERS \
660        uninstall-libLIBRARIES
661
662
663# create forward declarations for gcc builtins
664${libdir}/builtins.cf : ${libdir} ${srcdir}/builtins.cf
665        ${INSTALL} ${srcdir}/builtins.cf ${libdir}
666        sed -i -e "s#typedef.*ptrdiff_t.*#`@BACKEND_CC@ -E ${srcdir}/ptrdiff_t.c | grep 'typedef.*ptrdiff_t'`#" ${srcdir}/prelude.cf
667
668builtins.cf : builtins.c
669        @if [ -e $< ] ; then \
670                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
671        fi
672
673builtins.c : builtins.def prototypes.awk
674        @if [ -e $< ] ; then \
675                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
676        fi
677
678builtins.def :
679
680prototypes.awk :
681
682#--------------------------------------------------
683
684libcfa-prelude.c : ${srcdir}/prelude.cf
685        ${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
686
687libcfa-prelude.o : libcfa-prelude.c
688        @BACKEND_CC@ -c -o $@ $<
689
690# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
691% : %.c
692        @true
693
694${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp       # add dependency to cfa-cpp so all libraries are rebuilt with new translator
695
696# Tell versions [3.59,3.63) of GNU make to not export all variables.
697# Otherwise a system limit (for SysV at least) may be exceeded.
698.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.